Skip to content

Get test number capabilities of sender for project
GA

Request

Returns test number capabilities of sender for a project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired

The unique ID of the sender.

testNumberstringrequired

the user's phone number in E.164 format. For example, for a user with the US phone number +1-222-333-4444, the resulting parameter is '+12223334444'.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}/capabilities' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

test number capabilities

Bodyapplication/json
featuresArray of stringsrequired

List of RBM features that this device supports.

Response

Response with test number capabilities.

{ "features": [ "REVOCATION", "ACTION_DIAL" ] }